Verion 3.136.1 (22 Jun 2026)
Fix: removed unused file named hidebux.php from the plugin files

Verion 3.136.0 (23 May 2026)
NEW: Support for gpt-image-2 for images generation using OpenAI, dall-e removed

Version 3.135.1 (16 May 2026)
New: Security issues fixed, please update to this version asap

Version 3.135.0 (3 May 2026)
NEW: Image generation using Cloudflare Workers added, now you can create unlimited AI images for free

Version 3.134.0 (28 April 2026)
NEW: Web search support for Google Gemini added
NEW: temprature option added for Google Gemini
NEW: OpenAI model default option added to the settings, now you can set any model 

Version 3.133.0 (18 April 2026)
NEW: Native support for Claude, now you can use the latest Anthropic model for content generation

Version 3.132.1 (7 April 2026)
Fix: TikTok module updated to back to work after recent changes from TikTok side
Fix: Caption extraction for featured image now works more effectively for more sites and cases
Fix: webp images now get the correct extension when cached and imported as featured image
Fix: Feeds/multi-scraper/News detect full content method now return full title even if containing a colon
Fix: Better featured image extraction from content when using Feeds/Multi-scraper/News campaign types

Version 3.132.0 (27 March 2026)
NEW: Gemini default model upgraded to gemini-2.5-flash 
NEW: Upgraded user agent to the latest version of Chrome on MacOS

Version 3.131.0 (03 March 2026)
NEW: Option to generate a safe numeric name for the image (safe for Facebook share)
Fix: Download images feature now works correctly with Reddit campaigns

Version 3.130.1 (24 January 2026)
Fix: Deepl translation now works correctly after recent changes from Deepl side

Version 3.130.0 (17 January 2026)
NEW: Multi-scraper/Feeds scraping using APIFY now supports Cookies to simulate logged in sessions
Fix: AI generated images now work normally for ClickBank campaigns
Fix: Categories extraction from Feeds/Multi-scraper now works correctly when using multiple rules
Fix: Add post as draft then publish option now works correctly with set as pending if featured image failed option
Fix: Featured images with long titles now get truncated correctly to avoid issues with some servers


Version 3.129.0 (01 January 2026)
NEW: featured image option to set a custom caption
Fix: Youtube transcript extraction now works using TranscriptAPI.com service
Fix: image size for OpenAI Dalle image generation now works correctly
Fix: CareerJet duplicate jobs imported issue sorted
Fix: Scaping using Apify now bypass robots.txt rules to increase success rate 

Version 3.128.0 (16 December 2026)
NEW: Image generation using Google Gemini added, generate images using Nano Banana & Nano Banana pro

Version 3.127.1 (8 December 2025)
Fix: CareerJet module updated to use the new API from CareerJet
Fix: Amazon price extraction now works more precisely using the API
Fix: Warnings and notices fixed

Version 3.127.0 (5 November 2025)
Fix: featured image now works normally when using Apify with some sites
Fix: Telegram quiz posts now get skipped correctly
NEW: Amazon support for amazon.ie added

Version 3.126.0 (26 October 2025)
NEW: Amazon new option to set custom language for the imported products
Fix: Reddit featured image now get set correctly after recent changes from Reddit side

Version 3.125.0 (10 October 2025)
NEW: Telegram option to skip replies posts
NEW: Facebook posting from pages/profiles without the need to add a cookie
Fix: Google trends campaigns now works with more success rate
Fix: Telegram replies now get imported correctly in the post content
Fix: Amazon images gallery now can be added multiple times to the post content
Removed: Option to post from Facebook groups removed due to limitations from Facebook side


Version 3.124.0 (27 September 2025)
NEW: AliExpress module completely recoded to work using the official API
NEW: Option to set post as pending if AI image failed generation
Fix: Tiktok import from HTML for a specific tag back to work
Fix: Multi-page scraper infinite scroll pagination HTML now corrects links
Fix: User agent updated to the latest version, more required headers added to avoid blocks
Fix: Apify template updated to ignore SSL errors which gives higher success rate

Version 3.123.1 (24 August 2025)
Fix: Youtube transcript extraction back to work again
Fix: Amazon price extraction improved to handle more cases
Fix: OpenAI default generation model back to dalle-3 because gpt-image-1 requires organization verification

Version 3.123.0 (21 August 2025)
NEW: Medium support, now you can import posts from Medium.com
NEW: Image generation using AI now can use (gpt-image-1) model and now is the default
Improved: OpenAI Dalle image now uses style natural by default 

Version 3.122.0 (9 August 2025)
NEW: GPT-5 support, now you can use the latest OpenAI model gpt-5-mini and gpt-5
NEW: Search and replace in categories names now works for all campaigns types

Version 3.121.0 (21 July 2025)
NEW: Option to skip featured image that contain a specific banned word
NEW: Option to remove empty p tags from the post content
NEW: Added Amazon tutorial on how to import top selling products and increase prices
NEW: Youtube option to post completed streams only 

Version 3.120.0 (10 July 2025)
NEW: Added skip posts older than a specific time to Telegram campaigns
NEW: Amazon desired decimal and thousands separator options to format the price correctly
NEW: Amazon campaign option to use a custom associate tag

Version 3.119.0 (01 July 2025)
NEW: Amazon new option to set the ASIN as WooCommerce product SKU
NEW: Amazon new option to set the product technial specifications as WooCommerce attributes
NEW: OpenAI option to enable web search in campaigns level settings
Fix: AI failed prompts in custom fields now set the post as pending if option enabled
Fix: Security improvements 

Version 3.118.0 (21 June 2025)
NEW: Support nested prompts for AI campaigns, now you can use [gpt] prompt [/gpt] inside the main prompt
NEW: Option to set custom taxonomy for the imported categories
NEW: Amazon new option to set the brand from the original product brand
Fix: Google gemini option to set the model now works correctly
Fix: ParseDown library updated to the latest version to fix some issues with Markdown parsing


Version 3.117.0 (10 Jun 2025)
NEW: Rumble.com support, now you can import videos from Rumble
NEW: OpenAI model gpt-4.1-nano added
Fix: Amazon brand extraction now back to work after recent changes
Fix: Strip links from the content now works for single rules like [rule_1]

Version 3.116.1 (03 Jun 2025)
Fix: Save campaigns button back to work after last update problem

Version 3.116.0 (03 Jun 2025)
NEW: Option to pick random number of the selected categories
Fix: AI content returned as Markdown now gets converted to HTML with higher success rate
Fix: Cron processing multiple multi-scraper campaigns now works correctly
Fix: Instagram posting from a specific user pagination now back to work
Improved: Feeds/Multi-scraper strip parts by CSS now works for [rule_1] tag and similar
Fix: Security improvemtns added to the plugin to only allow adminstrators to import campaigns

Version 3.115.0 (19 May 2025)
NEW: Support for PHP 8.4 
NEW: Added Deepl translation support for Chinese Traditional and Simplified
NEW: Youtube new option to set the post as pending if transcript not found
Fix: Facebook events extraction issue corrected
Fix: Deepl translation back to work after recent changes

Version 3.114.0 (12 May 2025)
NEW: Native Google Gemini support, you you can use offcial Google API to generate content
NEW: OpenAI option to enable/disable web search for the prompt in settings page
NEW: Feeds randomize option to post for a random feed ever run
Fix: OpenAI/OpenRouter API key rotation now works correctly for AI campaigns

Version 3.113.0 (01 May 2025)
NEW: Google Trends support, now you can create a campaign to import trending topics
NEW: Youtube transcript extraction now works even if the server IP is suspected from Youtube
Fix: AI generated HTML content now get auto corrected to display correctly
Fix: FB events description extraction now works correctly for non-english languages

Version 3.112.0 (26 April 2025)
NEW: OpenAI API now can search the web for the most recent info and sources for prompts
NEW: New OpenAI settings page option to set the default search country
NEW: OpenAI new models gpt-4.1 and gpt-4.1-mini added

Version 3.111.0 (22 April 2025)
NEW: Amazon support for amazon.com.be added
Fix: Default OpenRouter model upgraded to meta-llama/llama-3.3-70b-instruct:free
Fix: Facebook wrong description and unrelated images issue sorted
Fix: EasyWP hosting false positive malware error message when using the plugin corrected
Fix: Multi-scraper/Feeds wrong chars in content due to encoding issue sorted
Fix: Multi-scraper/Feeds using a proxy now downloads every feed in different file

Version 3.110.0 (14 April 2025)
NEW: X.com module now works with an external API with FREE API access
NEW: OpenAI new model gpt-4.5-preview added

Version 3.109.3 (4 April 2025)
Fix: Google news now works again after recent changes

Version 3.109.2 (9 Mar 2025)
Fix: Pinterest module back to work after recent changes from Pinterest side

Version 3.109.1 (1 Mar 2025)
Fix: Amazon price update feature now works better and uses the full product URL

Version 3.109.0 (12 Feb 2025)
NEW: add custom categories from extracted rules or AI 
NEW: new tag [post_title] to return the final post title that will be used
NEW: Proxies option to force use the added proxies on all campaigns
NEW: Proxies option to rotate proxies and use a new one every run
Fix: Error when using spinRewriter in conjunction with WordPress auto spinner sorted
Fix: Failed AI prompt now set the post as pending if option set to draft then pulish is enabled

Version 3.108.3 (3 January 2025)
NEW: option to close comments and another to close pingbacks
Improved: Multi-scraper links extractions usging REGEX now can grab numeric IDs
Fix: Facebook images extraction and video detection now works with higer success rate

Version 3.108.2 (26 December 2024)
Fix: Amazon 503 error fix when posting from Amazon

Version 3.108.1 (22 December 2024)
Fix: Facebook not correctly importing featured image issue sorted
Fix: Instagram now back to import from personal profiles after recent changes from Instagram
Fix: SpinRewriter not working on some servers issue corrected
Fix: Correct Amazon price extraction to cope with recent changes
Fix: Multi-page scraper/feeds multi-page posts now get imported with higher success rate

Version 3.108.0 (2 December 2024)
NEW: Slug option now supports AI prompts so you can create custom slugs
NEW: Featured image option to set the caption from the original alt/post title
NEW: AI image generation using Dalle-3 new option to set image style Vivid and Natural
Fix: Facebook back to work normally after recent changes from FB side for pages not yet groups and profiles
Fix: AI prompts now work inside seriazlied arrays in custom fields option
Fix: Facebook event image now get imported correctly

Version 3.107.0 (23 October 2024)
NEW: SpinRewriter support added
Fix: Reddit back to work, a session is now requied in the settings page
Removed: thebestspinner support removed due service discontinuation

Version 3.106.0 (20 October 2024)
NEW: Google News campaign type to import news from Google News

Version 3.105.0 (18 October 2024)
NEW: Facebook option to set embed video width on the plugin settings page
NEW: Facebook posting from a page can now post even if session is expired

Version 3.104.0 (8 October 2024)
NEW: Bing News support, now you can import news from Bing News
NEW: eBay new option to automatically update prices and auto-delete expired listings
Fix: Facebook auto-generate title from description issue sorted
Fix: WooCommerce products set as external not being applied issue sorted
Removed: Walmart support is now longer available due to application to API is very hard

Version 3.103.1 (23 September 2024)
Fix: Google news original link extraction issue for some users sorted
Fix: Feeds/Multi-scraper when using a proxy now works for more servers

Version 3.103.0 (16 September 2024)
NEW: Multi-scrpaer/Feeds can now extract images using REGEX for WooCommerce gallery
NEW: Multi-scraper originl date extraction can now extract in other formats
NEW: Updated OpenAI models list and removed deprecated models
Fix: AliExpress module back to work 

Version 3.102.1 (10 September 2024)
Fix: Google news error 429 now sorted

Version 3.102.0 (5 September 2024)
Fix: Google news back to work again after recent changes from Google 
NEW: Search and replace option now search and replaces in custom fields using specific extraction to custom field option
NEW: Support for multiple API tokens from apfiy 
NEW: Feeds module option to allow feed items with empty titles
Fix: Youtube Trending videos option region now works
Fix: Facebook events now extracts the correct event description


Version 3.101.0 (12 August 2024)
Fix: AliExpress back to work after recent changes from AliExpress side
NEW: Youtube new option to post trending videos 
NEW: gpt-4o-mini is now the default used model if no model was chosen
Fix: AI processing for prompts now restore missing embed youtube codes

Version 3.100.1 (3 August 2024)
Fix: Google news links back to work after recent changes from Google news side

Version 3.100.0 (21 July 2024)
NEW: Featured image option to set the alt text from the post title
NEW: Youtube new tag [channel_country] and [channel_country_name] to return the channel country 
NEW: OpenAI new model gpt-4o-mini added for selection
Fix: Amazon price extraction now works correctly for amazon.com.tr
Fix: Cron now do not stuck for 5 minutes when register_shotdown_function option is enabled
Fix: Very long image names for featured images now get truncated to 100 chars
Fix: Clickbank now generate correct affiliate links

Version 3.99.0 (3 July 2024)
NEW: OpenRouter multiple API keys support. the plugin will rotate using them
NEW: Flicker now can import images from a group
Fix: Amazon price extraction now back to work after recent changes from Amazon
Fix: Google news links for topics now gets automtically corrected to feed link
Fix: Add custom fields option when disabled now no more add set custom fields
Fix: Tiktok reverse posts order now works correctly

Version 3.98.0 (5 June 2024)
NEW: Option to exclude campaign posts from rewriting using Auto Spinner Plugin
NEW: AliExpress now use admitad.com affiliate program to generate affilite links
Fix: Google news links now get converted to feed links for better chance of success
Fix: Amazon price filteration for imported WooCommerce products now works correctly

Version 3.97.0 (27 May 2024)
NEW: openrouter.ai support, now you can use any model like Google Gemini, claude 3 or free models 
Fix: OpenAI auto-correct reply if HTML encoded in pre and code tags
Fix: Option to post the link even if posted from another campaign can now be disabled
Fix: Pinterst now imports the HTMl description instead of rich text

Version 3.96.1 (19 May 2024)
Fix: Prompts back to work normally after an issue with the previous version

Version 3.96.0 (18 May 2024)
NEW: OpenAI new model gpt-4o added
NEW: OpenAI Markdown format now get automatically converted to HTML

Version 3.95.0 (15 May 2024)
NEW: OpenAI model gpt-4-turbo/gpt-4-turbo-2024-04-09 added
NEW: Option to not remember excluded links
NEW: AliExpress can now import specific products by product ID
Fix: Amazon price extraction now works correctly for RTL languages like Arabic
Fix: AliExpress images back to work after recent changes, downloading images is now required
Fix: AliExpress now correctly extract the product on some servers

Version 3.94.0 (01 May 2024)
Fix: Craigslist moduel back to work after changes from the site
NEW: Amazon option to import amazon product reviews as WooCommerce reviews
NEW: Amazon new tag [item_summary] to return the AI generated reviews summary 
NEW: Amazon new tag [item_reviews_text] to return customer reviews list as text
Fix: Feeds/Multi-scraper now do not auto remove scripts by default for extraction from them by other options
Fix: Facebook now correctly identify link posts after recent changes from FB

Version 3.93.2 (16 Apr 2024)
Fix: Feeds/Multi-scraper XPath with @href now remove unnecssary href text
NEW: Youtube [transcript] tag back to work after recent changes from Youtube
NEW: Amazon now returns high resolution images

Version 3.93.0 (12 Mar 2024)
Fix: Facebook module updated to cope with new changes
Fix: Keyword box now allow double quotes in keywords
New: Places new tag [item_reviews] to return the reviews 

Version 3.92.1 (1 Mar 2024)
Fix: UI updated to correct an issue of not able to save when the skip posts older option is enabled
Fix: Multi-page scraper timeout increased for slow requests
Fix: Reddit now return the correct HTML content

Version 3.92.1 (27 February 2024)
Fix: Essential changes made to the plugin, please upgrade to this version asap
Fix: Feeds/multi-scraper auto-detect method now works for non-latin languages
Fix: Amazon images extraction back to work for mobile view after recent changes
Fix: Amazon Price extraction now works for mobile view after recent changes

Version 3.92.0 (23 February 2024)
Update: GPT 3.5 turbo model updated to the latest version gpt-3.5-turbo-0125 
NEW: Careejet option to set custom locale code

Version 3.91.0  (13 February 2024)
NEW: Dalle 3 new option to set size under modify OpenAI parameters 
NEW: Option to remove consequent br tags from the content
Fix: AliExpress affiliate link generation now works correctly, a new cookie is now required
Fix: custom fields tag [featured_img_source] now works when using FIFU plugin
Fix: Youtube hyperlink inline links now consider utf8 characters
Fix: Deepl translate source langauge for English now back to work
Fix: Feeds/multi-scraper extract original meta description now works for Rank Math SEO plugin


Version 3.90.0 (28 January 2024)
NEW: new OpenAI models added gpt-4-0125-preview
NEW: Google places new option to set the language of the search
Fix: Facebook import events from groups back to work after recent changes
Fix: Rmoved Ezinearticles.com as a supported source, site shutdown
Fix: Translation of tags now works correctly


Version 3.89.0 (27 January 2024)
NEW: New campaign type to import from Google Maps places/business 
NEW: Youtube option to truncate the transcript to the desired length 
NEW: APIFY now support cookies for simulating logged in and importing from protected sites with login
NEW: Updated Deepl supported languages list

Version 3.88.0 (6 January 2024)
NEW: Dalle 3 support, now you can generate featured image using OpenAI Dalle 3
NEW: Youtube option to skip shorts 
NEW: Youtube option to only import shorts
NEW: Option to disable fixing noscript lazyloading images
Fix: Tiktok stuck when posting from a specific user when a gallery is found sorted

Version 3.78.0 (28 December 2023)
Fix: Updated TikTok module to work again after recent changes
NEW: custom fields tags [post_title] and [post_content]
NEW: tag [inline_link] to return the inline link found in the content
NEW: new tutorial on how to increase number of OpenAI articles added to tutorials section
Fix: Amazon excerpt now removes Price and as of date
Fix: {} can now be used in the post template, previousely it was removed

Version 3.77.7 (19 December 2023)
NEW: option to show private post types in the campaign page
Fix: Facebook broken links when the post is a shared post now sorted

Version 3.77.6 (17 December 2023)
Fix: Facebook module updated to cope with new changes, now correctly get the post links
Fix: Reddit module updated to cope with new changes, a session cookie is now required
NEW: settings page option to set a finite list of categories to display in the campaign page
Fix: The plugin no more truncate prompt cause new turbo model is 16k token instead of 4k

Version 3.77.5 (3 December 2023)
Fix: Facebook module imported duplicate posts, now sorted
NEW: Custom post slug now supports [post_title] to use the final post title 
Fix: WooCommerce products that are on sale now display on on sale filter


Version 3.77.4 (7 December 2023)
Fix: Facebook group posts import now back to work after recent changes
NEW: Tutorial aded on how to set post template 

Version 3.77.3 (3 December 2023)
Fix: Load multi-paged content Feeds/multi-scraper caused the campaign to fail, now sorted

Version 3.77.2 (3 December 2023)
Fix: Facebook back to work after recent changes from Facebook side
Fix: Vimeo search index now reset after reaching 10k result
Fix: Selected categories now get saved correctly
Improved: Clicbank now uses the new HTTPS affiliate link format 


Version 3.77.1 (01 December 2023)
Fix: Fatal error casued by the previous version sorted out

Version 3.77.0 (30 November 2023)
Fix: Facebook back to work after recent changes
Fix: Featured image now get extracted from original content after removal from an OpenAI prompt
Fix: Amazon now can import book author name
Fix: eBay all images extraction now back to work

Version 3.76.0 (7 November 2023)
NEW: upgraded OpenAI 3.5 turbo model to the latest version gpt-3.5-turbo-1106
NEW: Added new OpenAI model gpt-4-1106-preview
NEW: Integration with Internal Link Juicer plugin for automatic internal links, a new tutorail added to the tutorials section 
Fix: Multi-scrper 404 feed error posts now sorted
Improved: Timeout increased for OpenAI calls to 300 seconds to cope with slow calls
Fix: Amazon import from best sellers pages now back to work
Fix: Amazon product price extraction for Electronics now back to work
Fix: Auto hyperlink keywords now support non latin characters

Version 3.75.0 (19 October 2023)
NEW: Feeds/multi-page scraper option to import multi-page posts
NEW: OpenAI option to use a fine tuned model 
NEW: OpenAI option to remove H1 from the generated content
NEW: Feeds/multi-scraper now auto fix noscript lazyloding images
NEW: Feeds/multi-scraper new tag [source_url_decoded] to return the source URL decoded
NEW: new tag [title_words_as_slug] to return the title words as slug
NEW: Feeds/multi-scraper campaign can now auto extract tags from source post Schema tags
Improved: OpenAI campaigns now auto remove unecessary HTML tags like html & body from generated content
Fix: Amazon will not set the _sale_price if the product is not on sale
Fix: Multi-scraper campaign now deletes generated .xml containing found links if found empty
Improved: Campaigns page now do not list all multi-scraper fixed links


Version 3.74.1 (12 September 2023)
NEW: Now you can add multiple OpenAI API keys and the plugin will rotate between them
NEW: Tiktok option to remove @user from the post content 
NEW: Tiktok option to remove music used from the post content 
NEW: Feeds/Multi-scraper can now extract a speicfic part before or after another text (tutorial added)
NEW: Bulk option to Deactivate and Activate selected campaigns
Fix: Tiktok now remove music from generated title
Fix: Amazon price extraction algorithm updated to cope with new changes
Fix: fix of critical error when loading all campaigns page
Fix: campaigns processing algorithm updated to correct memory limit issue when too many campaigns
Improved: Feeds/Multi-scraper category extraction algorithm improved to detect cats in span inside a tags
Improved: Feeds/Multi-scraper post from specific links now auto fill the first link for visusal selector

Version 3.74.0 (26 August 2023)
NEW: Telegram support, now you can auto-post from Telegram to WordPress posts
NEW: Images to Gallery option now can add galleries in Classic old format or Gutenberg blocks
Fix: Feeds/Multi-scraper now add required JS scripts for Instagram/Tiktok embeds if missing
Fix: Amazon product features extraction now back to work
Fix: Multi-scraper can now load items feed even if the server/cloudFlare blocked the request
Fix: Amazon Post item even if there is already a posted one from another campaign now works

Version 3.73.1 (4 August 2023)
Fix: AliExpress back to work again after changes from AliExpress side
NEW: tutorial added on how to auto post recent videos from Youtube channel
 
Version 3.73.0 (27 July 2023)
Urgent: Google translate back to work after recent change
NEW: option to trim the post slug to a specific number of words
NEW: option to remove images from the post content for any campaign type
Fix: add WooCommerce custom product attribute back to work
Improved:Adjust numeric tags now considers the numeric value if not already numeric
Improved: Feeds/Multi-scraper og:image extraction algorithm improved to cover more cases
NEW: Tutorial added on how to import from Google trends to Multi-scraper campaign
NEW: [gpt] shortcode now process inner shortcodes inside the prompt
Fix: Facebook like button in post content now get removed correctly
Improved: Feeds/multi-scraper remove paragraphs containing specific text now removes it even if inside a span or a tags

Version 3.72.0 (14 June 2023)
NEW: OpenAI gpt-3.5-turbo model upgraded to gpt-3.5-turbo-0613 which is 25% cheaper
NEW: OpenAI gpt-3.5-turbo-16k model added for longer size content generation


Version 3.71.2 (14 June 2023)
Fix: license or domain not valid error message with internal cron now sorted
NEW: Tutorial added to OpenAI module tutorials section on how to increase content size

Version 3.71.1 (8 June 2023)
NEW: Approve/Exclude post if criteria applies option now can compare two fields like [list_price_numeric] and [price_numeric]
NEW: added a new tutorial to Amazon campaign tutorials section on how to import on sale products only
Fix: eBay item description now gets imported correctly after changes from eBay side
Fix: Undefined variable $source_link error sorted
Fix: Twitter filter:videos and similar now gets converted to has:videos for backward compatibility
Fix: Single quote in keywords box now work

Version 3.71.0 (1 June 2023)
NEW: Youtube post from playlist can now accept playlist URL instead of ID
Fix: Twitter module back to work using the latest API v2
Fix: Clickbank module updated to cope with changes from Clickbank side
Fix: Price update feature now works for amazon.fr
Fix: Careerjet full job description extraction now back to work
NEW: Tutorial added to tutorials section on how to post to bbPress forums
Improved: Youtube campaign UI improved by seprating options to post from playlist and channel
Improved: FB now can change page type (Legacy/new page experience) without need to create a new campaign
Improved: Run now button now display errors if any caused the process to fail
Improved: Auto remove quotes from generated OpenAI titles 
Improved: OpenAI prompt processing in post template now get cached in case of timeout errors, not repeat the same call
Fix: Facebook campaigns now download images to the server as FB now expire images links
Fix: Amazon set product description as excerpt now works for normal post type 


Version 3.70.0 (12 May 2023)
NEW: can now set _regular_price and _sale_price for WooCommerce products on custom fields section
NEW: Amazon can now overwrite the sale price with the list price on custom fields section
NEW: Tutorial added on how to import from a specific site in mulitple languagesq
Fix: OpenAI content now insert br tags instead of new lines
Fix: Reddit returned an error when processing the campaign, now sorted out
Fix: AliExpress deleted products now get deleted from the database
Fix: Auto clean excluded links cache added
Fix: Timout for slow gpt-4 calls now increased to 5 minutes

Version 3.69.0 (23 March 2023)
NEW: option to disable plugin front end scripts and styles embeded by default
NEW: added Korean language to deepl supported languages and updated the list of supported languages
NEW: Tutorial added to tutorials section on how to set tags using OpenAI API
Fix: [gpt] shortcode now works on custom fields section alogside with [gpt3] shortcode

Version 3.68.0 (18 March 2023)
NEW: gpt-4 support, click Modify OpenAI call parameters and pick the model you want to use
NEW: option for hyperlink specific keywords with specific links to hyperlink once 
FIX: Amazon product description for books now back to work

Version 3.67.2 (13 March 2023)
Fix: Amazon buy now button image now works again
NEW: Multi-scraper/Feeds new option to remove unwanted paragraphs containing specific text

Version 3.67.1 (8 March 2023)
Fix: Prompt processing stopped working on version 3.67.0, this update sorts it out
Fix: Feeds/Multi-scraper extract original author now works better

Version 3.67.0 (8 March 2023)
NEW: OpenAI advanced option to set temperature,top_p & other options for the prompt
NEW: Feeds/Multi-scraper extract original author can now auto detect author name
NEW: Generate SEO meta description from content using OpenAI GPT-3 tutorial added
Fix: Multi-scraper now set the post as pending if posting specific links & auto-detect failed
Fix: Youtube channel ID extraction now work for servers located in europe

Version 3.66.0 (2 March 2023)
NEW: OpenAI API requests now use the new ChatGPT gpt-3.5-turbo which is 1/10th the price 
NEW: Feeds/Multi-scraper Strip images from the content option

Version 3.65.0 (19 Feb 2023)
NEW: Web Stories support, now you can import web stories & tutorial added 
New: Feeds/Multi-scraper Visual selector/XPath now can return URL of a link
New: Feeds/Multi-scraper copy rule number button added and UI improved
NEW: OpenAI UI improved + new fixes to handle errors
Fix: Amazon simulate location feature now works better

Version 3.64.1 (7 February 2023)
NEW: PixaBay new option to add post search keyword as featured image alt text
Fix: Google news now back to work after recent changes from Google

Version 3.64.0 (5 February 2023)
NEW: Apify new option to wait for specific milliseconds before returning the result
NEW: Support for setting WooCommerce product attributes on add custom fields option
NEW: option to import the post even if it was imported from another campaign
Fix: Google news now back to work after recent changes from Google

Version 3.63.0 (1 February 2023)
NEW: [gpt3]Prompt[/gpt3] shortcode now can be used on custom fields section
NEW: PixaBay new option to add search keyword as featured image alt text
NEW: Option for custom post slug/permalink
NEW: new tag [now] to get current server timestamp
Fix: Translate now protect [embed] shortcode from translation
Fix: Youtube single quote now saved correctly in the database
Fix: Skip the post if the a specific criteria applies now support empty text

Version 3.62.0 (25 January 2023)
NEW: Open AP article generation prompt now supports the [keyword] tag
NEW: Youtube now can get transcript of imported videos, use tag [transcript]
NEW: PixaBay keyword now supports the [keyword] tag
NEW: Cron option to set number of campaigns to process per cron run

Version 3.61.0 (19 January 2023)
NEW: Import/Export feature for campaigns 
NEW: Multi-page scraper/Feeds new option to remove unwanted parts by Visual selector/XPath
NEW: Multi-page scraper original time now support custom REGEX for extraction
NEW: Only import the post if the a specific criteria applies new option to allow if any
NEW: Skip the post if the a specific criteria applies new option to check all
NEW: Feeds/Multi-Scraper new option to search and replace in extracted tags
NEW: OpenAI new option to only post one article per keyword
Fix: eBay now reset the page number if reached last page
Fix: Multi-scraper now bypass cache for created feed files especially on OVH 


@12 January 2023 v3.60.1
NEW: OpenAI option to use keywords directly for articles instead of generating tigtles
NEW: OpenAI option to set the post as pending if prompt failed
Fix: [gpt3] shortcode now works for Amazon campaigns
Fix: Youtube skip posts older than a specific minute now generate a dynamic date for search
Fix: Careerjet module updated to get full description again after changes from CJ side

@3 January 2023 v3.60.0
NEW: OpenAI GPT support to create articles and use with any module with shortcode [gpt3] prompt [/gpt3]
NEW: option to translate the content between square brackets
NEW: Facebook events import now set the post date to the event start date if option enabled
Fix: Amazon custom HTML product extraction algorithm improved

@14 December 2022 v3.59.1
NEW: option to extract and import amazon products from any page HTML
Fix: Facebook events import back to work after recent changes from FB
Fix: Youtube Auto-hyperlink URLs now correctly hyperlink links with @handle
Fix: Reddit flairs as categories/tags back to work
Fix: Tiktok back to work again after new changes
Fix: eBay all images extraction back to work after new changes from eBay

@22 November 2022 v3.59.0
NEW: Option to filter the comments and skip comments containing a specific keyword
NEW: Youtube new tag [vid_duration_in_seconds] for duration filteration
NEW: Make permalink link directly to the source now works for custom post types
Fix: Instagram featured image now works correctly
Fix: Workaround added to sort WordPress adding line breaks inside JavaScript
Fix: Fixing relative paths algorithm improved
Fix: Tiktok can now import from users with dot in username  
Fix: CareerJet now reset page index after 1000 results
Fix: Search and replace now aware of encoded chars like & char
Fix: Tags/Categories extraction now removes unnecessary slashes
Fix: Amazon now returns book description
Fix: Amazon now returns correct description/item features
Fix: Envato now reset page after reaching page 60

@10 October 2022 v3.58.1
Fix: Apify back to work after recent changes that triggered an error Field input.proxyConfiguration is required
Fix: Facebook group posts full text extraction now back to work
Improved: Youtube posting from a channel can now accept channel URL instead of ID

@6 October 2022 v3.58.0
NEW: Feeds/Multi-scraper option to extract original meta description and set as SEO meta description
NEW: Twitter option to auto embed direct video URL instead of Twitter embed code
NEW: Twitter new tag [item_video_url_direct] to get direct video URL for embed
NEW: Reddit option to set flairs as tags/categories and a new tag [item_flairs] to return them
NEW: option to not remember imported posts urls
Fix: Facbook events import back to work for new page experience pages
Fix: eBay now reset the keyword search index after reaching 10k results which is eBay limit
Fix: Feeds/Multi-scraper relative links fix algorithm imporved

@19 September 2022 v3.57.4
NEW: Option to filter returned posts by fields equal to a specific value, contains a specific value, greater than a specific value and more
Fix:Feeds/Multi scraper specific part to custom field regex extraction single value tag now work
Fix: Keyword to category check option now works correctly
Fix: Twitter format from:user filter:videos now works

@6 September 2022 v3.57.3
Fix: The previous version created categories even if the option was not enabled, now sorted

4 September 2022 v3.57.2
NEW: option to search PixaBay from title keywords and get a featured image
NEW: AliExpress option to send an email notification if the cookie expired and needs renewal
NEW: Amazon option to set the imported product categories as WordPress categories
Fix: AliExpress link generation back to work after recent changes from AliExpress
Fix: Now reviews work for latest WooCommerce version 6.8.2

24 August 2022 v3.57.1
NEW: Amazon option to delete no more available products on amazon
NEW: Amazon option to set out of stock products to pending and publish them when back to stock
NEW: Facebook/Instagram session expire email notification option added
NEW: Feeds/Multi-page scraper original categories can now be set as tags
NEW: Reddit now support importing gallery reddits
Fix: Facebook now imports events from new experience FB pages
Fix: add all content image as gallery now use the block format instead of legacy
Fix: Cron improved to bypass cloudflare and siteground cache
Fix: TikTok now works for non-latin keywords like Japanese

@11 August 2022 v3.57.0
NEW: Option to set featured image from pixabay.com
NEW: Option to create a gallery from found post images
NEW: Set post tags option now supports current post tags like [original_title]
NEW: Twitter new option to get recent or popular tweets
NEW: Amazon can now import from best sellers pages
Fix: Facebook now back to import comments after recent changes
Fix: Instagram popular posts only option back to work

@16 July 2022 v3.56.2
Fix: ClickBank module updated to work again after changes
Fix: Make permalink link directly to the source now works for eBay and AliExpress affiliate links

@5 July 2022 v3.56.1
NEW: eBay new tag for item condition description
Fix: Amazon switch from non-API to API campaigns now work
Fix: TikTok module imporved to bypass if your server is blocked
Fix: Instagram module updated to cope with new changes

@8 June 2022 v3.56.0
NEW: Now supports AliExpress
New: Amazon option to set a custom location if the server country is different
NEW: Multi-page scraper original date extraction algorithm improved
NEW: Youtube new option to skip live videos
NEW: Instagram tag [item_comments_count]
Fix: eBay module updated to cope with recent changes
Fix: Instagram module updated to cope with new changes, mulitple images back to work
Fix: Download images from the content now download webp as well
Fix: Multi-page scraper title extraction by regex now consider \s
Fix: Multi-page scraper now get the title when posting from custom list of ulrs
Fix: Multi-page scraper/feed extract by REGEX now return correct result for [rule_1] tag
Fix: Title words as tags now keeps the dot character
Fix: Twitter post from a specific user up to a specific date now skips pagination

@20 April 2022 v3.55.6
Fix: Array error when translation using Google translate is now sorted

@17 April 2022 v3.55.5
NEW: custom field [featured_img_id] for created thumbnail ID
NEW: Amazon [item_rating] new tag
Fix: hyperlinking specific keywords algorithm improved
Fix: Single page scraper update post duplicate custom fields issue fixed
Fix: Single page scraper update post date now stay as-is

@12 March 2022 v3.55.4
Fix: Facebook updatd to cope with new changes
NEW: Amazon new tag [item_details]
NEW: eBay affiliate reference ID support

@11 Febrary 2022 v3.55.3
Fix: Google translation back to work normally
NEW: Careerjet now imports the logo image
NEW: Reddit can now filter videos only and Gifs only
Fix: Amazon images now load correctly

@7 Febrary 2022 v3.55.2
Fix: Instagram module code updated to work again correctly
NEW: Option to set the slug to original post slug

@28 January 2022 v3.55.1
Fix: UI updated to work with WordPress 5.9
Fix: amazon last time price updated tag now returns correct date

@19 January 2022 v3.55.0
Fix: eBay module rewritten to use the new eBay Browse API
Fix: Facebook now import description if containing quotes
Fix: The plugin now keep backslashes in title and content
Fix: Careerjet full description extraction better method
Fix: Instagram can now import popular images without issues
Fix: Youtube embed back to load normally
NEW: option to hyperlink specific keywords with a specific link
NEW: option to not remove html tags from title
NEW: Feeds/multi-scraper option to only check top post
NEW: Deepl new fomality option
NEW: Option to set parent category for created categories
NEW: Option to remove inline links from the post content

@15 November 2021 v3.54.2
Fix: Facebook back to import images after new changes

@6 November 2021 v3.54.1
Fix: Amazon price extraction now works with recent changes from Amazon

@3 November 2021 v3.54.0
NEW: JavaScript support for single/multi-page scrper/feeds
NEW: Pinterest skip pins with no title

@18 October 2021 v3.53.6
Fix: amazon without API and EzineArticles recent changes handled
New: option to skip posts longer than a specific length

@26 September 2021 v3.53.5
Fix: Youtube fixed invalidPageToken error

@20 September 2021 v3.53.4
Fix: Craigslist back to work with major improvements and full Woo support
Updated: Deepl free API can now be used on the plugin settings page
Fix: Adjust numeric values option now can adjust values containing a comma
Fix: List of languages updated for Deepl

@23 August 2021 v3.53.3
Urgent: Fix of a core bug, all users must upgrade to this version
Fix: Facebook removal of translation links of group posts

@31 July 2021 v3.53.2
NEW: PolyLang plugin full support
Fix: Facebook updated to fix not logged in for EU users
Fix: Amazon extra part on the description CDATA now fixed
Fix: CareerJet now save the sorting option as date

@3 July 2021 v3.53.1
Fix: Instagram posting back to work
Fix: Facebook posting from events now get end date again

@28 May 2021 v3.53.0
NEW: option to adjust numeric values e.g: increase returned price
Fix: SoundCloud module updated to work again after new changes
Fix: Facebook pinned post now get skipped
Fix: Facebook events now return the date
Fix: Facebook option to skip shared posts now works
Fix: Amazon books now get imported with more details
Improved: new user nick name from display name when creating a user

@22 March 2021 v3.52.0
NEW: Multi-page scraper now supports Infinite scroll
Fix: TikTok posting from a specific user back to work

@22 March 2021 v3.51.5
Fix: FB empty images issue sorted
Fix: FB videos back to embed normally
Fix: Multi-page scraper Fixed pattern next page URL now supports negative steps

@6 March 2021v3.51.4
Fix: eBay updated to support new links format
NEW: Youtube safe search option added
NEW: Google translate now supports Traditional chineese

@25 Feb 2021 v3.51.3
Fix: TikTok now can import from a specific user normally even if blocked

@23 Feb 2021 v3.51.2
Fix: Facebook now reports when a cookie is a must
NEW: Reddit video embeds now supports sound
Fix: TikTok can now import by keyword normally
Fix: TikTok can now set the featured image if cache is disabled as well

@4 Feb 2021 v3.51.1
Fix: Facebook posting from groups now back to work normally

@31 January 2021 v3.51.0
NEW: Now supports TikTok
NEW: Japanese and Chineese languages added to Deepl option
NEW: Youtube option to limit search to videos that have closed captions
Fix: PHP 8 support
Fix: Facebook import corrections
Fix: Microsfot translate now works with any region, region code must be added

@18 December 2020 v3.50.12
Urgent Fix: Amazon posting without API \_c url error message sorted
NEW: Option to limit processing time for each campaign
NEW: Multi-page scraper option to skip posts older than a specific date
NEW: Reddit tag item_nsfw returns yes or no
Fix: Feeds visual selector now works if multiple feed URLs are used

@8 December 2020 v3.50.11
Important: SoundCloud now back to fully work
NEW: Option to set default values for tags that will return empty
NEW: Facebook option to skip posts shared from other posts
NEW: content only added to search and replace option
Fix: Facebook envets place_name non-latin chars fix
Fix: Facebook now can get full posts from profiles
Fix: eBay hong kong and Singabore links fix
Fix: Reddit now accept URLs that contain parameters
Fix: Instagram popular images instead of recnet for USA servers
Improved: serialized arrays on custom fileds can now have tags

@11 November 2020 v3.50.10
NEW: Feeds/Multi-page option to skip following JS redirects
Fix: Facebook module updated to fully work with the new UI
Fix: Feeds/Multi-page fix for relative links when a base URL exists

@24 October 2020 v3.50.9
Fix: Facebook back to partially work for pages and profiles, other features to work on coming release
Fix: Multi-page scraper random posts order now corrected
Fix: Set the post to pending when featured image was missing now works with fifu plugin

@30 September 2020 v3.50.8
Fix: eBay module updated to work with the official eBay finding API
Fix: Twitter auto title now do not have links when expand url option is active

@14 Septebmer 2020 v3.50.7
Temporary patch: FB now works better till compelte revamp

@2 September 2020 v3.50.6
Urgent: Instagram updated to work again after recent changes
NEW: Youtube option to post live videos onlys
NEW: Twitter option to expand short links
Improved: Feed original time if higher than current time, now get ignored
Fix: Amazon add to cart link now uses https instead of http
Fix: Amazon API search indexes got updated
Fix: Amazon no API ebook image extraction now works

@13 August 2020 v3.50.5
Fix: UI now compatible with WordPress 5.5

@12 August 2020 v3.50.4
NEW: YT option to post live videos from specific channel
NEW: Multi-page Scraper option to append someting to extracted URLs
Improved: option to set the post to pending if it was not possible to set a featured image more accurate
Improved: Reddit no more post stickied comments
Fix: Facebook video title from verified pages now get returned

@19 July 2020 v3.50.3
Fix: Amazon featured image using API sometimes did not work
Fix: Amazon posting without API now returns the image when posting from amazon.com.au
Fix: Stip original links from the post now leaves twitter embed links
Fix: Translation algorithm improvements
Fix: FB links import from RTL pages now works
Fix: Removed [review_iframe] from Amazon campaigns and imported amazon posts

@1 July 2020 v3.50.2
Fix: Settings page checkboxes now get saved
Fix: Single page scraper can now remove by ID/Class without issues
Fix: Youtube [vid_date] tag now returns the date considering the site timezone
Fix: WPML tag now get added to the correct language tags
Fix: Instagram now displays an error if the session is expired
Improved: Youtube tags as WordPress tags now uses the official API

@24 June 2020 v3.50.1
Fix: Google translate auto-detect method now work normally it returned Array Array

@22 June 2020 v2.50.0
NEW: Multi-page scraper can now post from a list of posts URLs
NEW: Option Add posts with its original time for multi-page scraper
NEW: Careerjet new tag [source_site_name]
Fix: Google translate back to work
Fix: Facebook now imports up to 4 images again from the post
Fix: Reddit imgur and gfycat gifs/videos now get embeded
Fix: Feeds Single quotes now get replaced by double quotes
Fix: Feeds/Multi-page scraper relative path correction for images now works better
Fix: Instagram now imports all images if cached is enabled as well
Fix: Envato affiliate URL now get correctly set for Woo products
Fix: Careerjet now can grab the full description
Fix: Youtube original tags extraction now back to work
Fix: Youtube published after specific date now back to work

@14 May 2020 v2.49.0
NEW: Multi-page scraper next page URL fixed pattern support example.com/page/[page_number]
NEW: Keyword to tag option can now check title only, content only or both
NEW: Youtube now uses playlistitems API endpoint when posting from a specific channel that reduces used quota from 100 to 3 per call
NEW: Youtube videos to videopro theme now have a duration
NEW: Feeds module can now import from RSS feeds that do not contain a link tag
NEW: Button on the campaign page to reactivate all keywords at once
Fix: Microsoft translate now back to work + tutorial updated to latest UI
Fix: Feeds/Multi-page scraper lazy loading now fixes images with single quotes on src attributes
Fix: Amazon import without API key algorithm enhancement to bypass block
Fix: Facebook event description now get imported after recent FB changes

@1 May 2020 v2.48.0
NEW: content template tag [title_words_as_hashtags]
Fix: Amazon import without an API key algoritm updated to bypass blockage
Fix: Instagram cached images now have a correct name if generated from title
Fix: Google translation from japanese corrected when containing a bracket
Fix: Envato post original item tags as tags now works for WooCommerce products
Fix: Strip links option now does not affect aside tags
Fix: Featured image from post content now supports images with single quotes
Fix: Strip original links from the imported content now more accurate
Fix: Some UI fixes

@19 April 2020 v2.47.1
Fix: Reddit module back to work

@16 April 2020 v3.47.0
NEW: Reddit option to set the author from the original reddit author
NEW: Multi-Page scraper search and replace option on extracted links  
NEW: Yandex translate auto-detect method added
NEW: Add no-follow attribute to links option
NEW: Ezinearticles new option to limit search to last years/months
Improved: keyword to tag and keyword to category options now can check multiple keywords
Improved: Amazon scraping algorithm enhancement
Improved: Search and replace/Strip using REGEX options now apply to rules tags
Fix: Add the images to the media library as well now works
Fix: FB suspecious activity now removes the added session
Fix: Multi-page/Feeds visual selector page freeze when selecting the links now fixed
Fix: Instagram [img_src] attribute on multiple images HTML option now returns local URL
Fix: Multi-Page scraper now can import from login protected websites using cookies option
Fix: Users on Hetzner hosting was getting 404 error when publishing a campaign, now sorted

@30 January 2020 v3.46.12
Fix: SoundCloud back to work after recent changes from SC
Fix: Amazon gallery now compatible with lazy loading plugins
Fix: Facebook comments back to work after recent changes from FB

@8 January 2020 v3.46.11
NEW: Instagram option to remove hashtags from post content
Fix: Multi-page scraper now corrects relative links when custom base url is set
Fix: Amazon asked for capacha fix

@29 December 2019 v3.46.10
Fix: SoundCloud back to work

@26 December 2019 v3.46.9
Fix: Caching images back to work

@25 December 2019 v3.46.8
NEW: eBay campaign now accepts up to 3 categories
NEW: CareerJet option to get the full job description
NEW: Facebook option to only post owner posts when posting from a profile
Fix: Amazon woo prices for amazon.es now get saved correctly
Fix: Youtube comments URLs & profile images back to work
Fix: Skip posts lower than a specific length now more accurate
Fix: Translation twice if title contains quotes now work + tags translation
Fix: Translation now correctly protect shortcodes
Fix: Facebook profile tagged posts now have a correct link and correct images sizes
Fix: Facebook new tag original_date_timestamp added
Fix: Facebook tag place_phone now returns the phone if starts with +
Fix: Twitter now embed Tweets with GIFs
Fix: Now back to work with Google news RSS feeds


@12 November 2019 v3.46.7
Fix: Pinterest module back to work after recent changes

@3 November v3.46.6
NEW: Amazon module now imports book description beside editorial review
NEW: Feeds/Multi-page scraper can now grab and save the price as woo product price
Fix: UI fixes for chrome new version
Fix: Lazy loading auto-detect algorithm imporved
Fix: og:image short form // now works as a featured image
Fix: eBay ships_to tag now does not contain |
Fix: Walmart woo external affiliate product now get added with correct link

@11 October v3.46.5
NEW: Skip posts if content legnth below a specific number option for all campaign types
NEW: Feed/multi-page scraper lazy loading automatic fix added
NEW: eBay new tags [item_seller_username] , [item_location] , [item_ships_to] , [item_condition] , [item_return_policy] & more
Fix: Feeds/Multi-page scraper Youtube format containing parameters fix
Fix: Youtube comments posting when having multiple API keys back to work
Improved: Featured images URLs now get IRI encoded before loading the

@2 October v3.46.4
Improved: Feeds/Multi-page scraper Youtube embeded videos now get changed to WordPress format
Fix: Feeds/Multi-page Strip parts using Class/ID now works correctly
Fix: Feeds/Multi-page scraper srcset attribute relative images now get converted to full
Fix: Youtube video duration format fix hours:minutes:seconds

@1 October v3.46.3
NEW: Feed/Multi-page Scraper new tag source_url_encoded
Improved: Amazon importing without API major improvements and algorithm update
Improved: Image name from title now removes imojis
Fix: custom extraction to tags now can extract multiple tags/categories
Fix: seaprator in saved pin descriptions now display correctly
Fix: Feed/Multi-page scraper extraction/removal by class now work for PHP 7.3

@20 September v3.46.2
Fix: Feed convert encoding now back to work
Fix: Amazon post without PA keys now work
Fix: Amazon address simulation option now work correctly
Improved: Amazon can now extract prices from eBooks and more
Improved: Amazon search now exclude zero priced items
Improved: UI now retain correct metabox order

@10 September v3.46.1
Fix: Facebook session not valid error now fixed
Fix: Facebook posts with images now get imported correctly

@31 August 2019 v3.46.0
NEW: Amazon now can import without the need of PA API keys
NEW: Youtube multiple API keys support to get rid of daily limits
NEW: Feeds new tag [source_domain]
NEW: Instagram new tag for video embed + new option to not add embed to description
NEW: option to skip fixed chosen categories if keyword to category option has matches
NEW: option to check at title only when skipping by keyword
NEW: Possibility to set Woo-Commerce gallery from custom extraction
Fix: update tables issue sorted
Fix: Skip posts older than a specific date now works for Youtube Playlists videos
Fix: Multi-page scraper original categories/tags/author now load single posts using visual selector
Fix: Walmart updated publisher ID from LinkShare to ImpactRadius
Fix: Title words as tags now work when strip image from content is enabled
Fix: Facebook group posts links now work on mobile as well
Fix: Facebook pagination for personal profiles back to work
Fix: original category extraction by class now works
Fix: Custom fields containing astrisks now correctly get saved
Improved: lack of php-xml module existence message
Improved: Feeds/multi-page scraper can now extract multiple parts in the same rule

v3.45.1
NEW: Yandex translate support
NEW: Feeds/Multi-page scraper extraction to custom taxonomy support
NEW: option to disable Newspaper theme integration for videos
NEW: Facebook option to auto-generate title for shared links
Fix: Facebook share count and likes count back to work
Fix: Facebook posts with a background now get imported
Improved: Feeds/Scraper missing FB embed JS now get added for correct embeds
Improved: Translation now protects pre and code tags
Fix: Automatically created authors for posts now have the contributor role for Gutenberg
Fix: Some empty pages using the visual selector now display
Fix: Reddit gyfcat embeds back to work
Fix: Instagram comments back to work after Iinstagram changes

@4 May 2019 v3.44.0
NEW: option to add woo product as a simple product
NEW: Youtube option to add title tag to embed code
Improved: Reddit gfycat better higher quality mp4 video embeds
Improved: Multi-Page scraper next page extraction by REGEX now supports meta format
Improved: Specific part extraction to custom field can now be used in post content
Improved: Minimum MySQL version check added
Fix: Vimeo no new content fix
Fix: FB shared posts full content now get imported
Fix: If active, proxies are now used with multi-page scraper
Fix: FB comments now back to work after a change from FB side
Fix: titleonly in search and replace now work on set rule only
Fix: original title from og:title option now function correctly

@20 March 2019 v3.43.1
NEW: tag for feeds named [redirect_url] to return the redirection URL of the post
NEW: Feed extract original category now can be extracted using ID/Class
Fix: Youtube campaign now send the correct domain refer in requests
Fix: Multi-page scraper now correct short links
Fix: Visual scraper now returns the full URL of relative links
Fix: Translating content between square brackets now works
Fix: Show IP link in the plugin settings page for proxy settings now is correct
Fix: [vid_url], [vid_id] tags for FB now work
Fix: FB likes_count now returns the correct numeric value if contains commas
Instagram: hastags as WP tags now work correctly when a video is posted

@11 February 2019 v3.43.0
NEW: Integration with Featured image from URL plugin instead of Nelio for external featured images
NEW: Search and replace new separator between the search & replace
NEW: Protected terms from translation option
NEW: Facebook comment image support
NEW: Facebook events new tags for email, phone, interested count and going count
NEW: Facebook new option to remove "Watch" and "Watch video" from imported videos
NEW: Canonicalization option now supports Yoast SEO
NEW: Single page scraper new options to strip unwanted content
Improved: Facebook now imports mixed posts with videos/images
Improved: Facebook module now imports album posts from the timeline
Improved: Facebook pagination algorithm updated to cope with new changes
Improved: Feeds module now skip SSL verification problems
Fix: Facebook disable cache then enable it back now returns to first page
Fix: Facebook event description now get extracted correctly
Fix: Facebook commenter name now correct for non-latin
Fix: Featured images with spaces in the file name now get converted to dashes

@5 January 2019 v3.42.1
Fix: sorted a recent issue in the latest version that affected the multi-page scraper and feeds module

@3 January 2019 v3.42.0
NEW: Keyword to category new option to check the title
NEW: Keyword to category new option not to check the content
Fix: formated_date shortcode in content when other shortcode exists now works
Fix: Craigslist price now gets extracted even if not the last part of the title
Fix: keyword tag now works for custom fields
Fix: Youtube original tags as WP tags back to work
Improved: Download images to the server now replaces accented chars from file names

@1 December 2018 v3.41.0
New: Featured image new option to set the post status to pending if a featured image was not set
New: eBay new option to set item images as WooCommerce gallery
Fix: New user addition now works for non-latin usernames
Fix: Content extraction by class, XPath now fixed gibresh charachters
Fix: Specific extraction to tags now does not concat multiple extractions
Fix: Facebook changed something that made the plugin not able to get the featured imge, now sorted
Fix: Feeds extraction by XPath now extracts the correct charset for correct non-latin title extraction
Improved: Cached and thumbnails without extention now get saved with an extention

@19 October 2018 v3.40.0
NEW: [Beta] multi-page scraper to import from any website without the need to RSS feeds
NEW: FB comments new option to hide commenter pic
Essential FB fix: a new minor FB change stopped the plugin from importing, now sorted

@6 October 2018 v3.39.3
NEW: Instagram new tag for video views got added
Fix: Instagram unexpected page content error sorted
Fix: Pinterest now paginates correctly coping with Pinterest random failure to return correct data
Fix: Now Pinterest returns the correct title from Rich pins
Improved: FB videos now display unmuted and a new option to mute them got added
Improved: content type verification for featured images now more smarter not to skip false positives

@18September 2018 v3.39.2
Important Note: If you are updating from an older version, activating this version will take long time so be patient as it includes database tables refactoring
Improved: performance optimized so it is now more lighter & smarter
Fix: Facebook pagination back to work
Fix: FB for sale posts now get imported correctly
Fix: Make permalinks link to the source now works with almost all themes
Fix: from_id from closed groups now returns the correct id

@6 September 2018 v3.39.1
Fix:Facebook module essential code fixes
New: Facebook events new tags added [end_time_timestamp] , [start_time_timestamp]
New: WordPress comments now get added as bbPress replies if bbPress was used
Improved: formated_date tag now works on custom fields as well
Improved: Items from Envato can now get posts as Woo products

@17 August 2018 v3.39.0
New: Facebook module updated and now imports from pages, groups and personal profiles
New: Translate option new languages added like Urdu,Chinese and more
New: Titlte truncation new option to skip "..." addition to the generated title
New: Title truncation new option to remove last truncated word
Improved: Feed chang encoding now gets applied before content extraction
Improved: Translate option now translates images title tag
Fix: No author comment URL now works with Youtube module
Fix: Feed excluding links with html encoded chars was causing a loop
Fix: Code updated to cope with recent WPML changes that caused the posted posts using the internal cron to disappear
Fix: Youtube comments avatar quality increased
Fix: Twitter tags as WordPress tags now functions correctly when cache is enabled

@22 June 2018 v3.38.3
Update: FB module updates

@17 June 2018 v3.38.2
Improved: Translation module algorithm updates
Fix:EzineArticles module now back to work after a recent Google custom search update
Fix:Exact match skip option now trims the set rules
Fix:Amazon products with too many images now uses the correct featured image URL

@30 May 2018 v3.38.1
Fix:EzineArticles module now back to work after a recent Google custom search update
Fix:Featured image from the og:image contining no domain now gets corrected

@19 May 2018 v3.38.0
Improved: ClickBank thumbnail source changed to a more reliable one
Improved: YT posting from a specific playlist now returns original video author info instead of PL author
Improved: EzineArticles now uses Google custom search instead of DuckDuckGo
Improved: EzineArticles search improved to exclude useless results
Fix: Twitter external image from bit.ly links and links containing twitter in URL now works
New: Youtube tag [vid_title]

@14 April 2018 v3.37.4
Fix: Instagram back to work after a recent change from Instagram side. Now a session cookie is needed at the plugin settings page
Improved: Twitter shared links now has a featured image
Fix:[rule_{ruleNumber}_plain] tag now returns the correct value

@8 April 2018 v3.37.3
Fix: Instagram back to work after a recent change from Instagram side
Improvement: Envato post template updated to contain two buttons buy & demo
NEW: option to set the used keyword to fetch the item as a tag
NEW: custom field tag to add a random number to a field
NEW: Tag to generate a random number between two values
NEW: Spintax new option to replace similar sets with the same replacement
NEW: Facebook new tag for event description
NEW: Featured image new tag for custom fields
Fix: Title from og:title with single quote now returns the full title
Fix: Image name from the title with emoji now works
Fix: Itunes affiliate ID now get added to audiobooks and other types

@26 March 2018 v3.37.2
Fix: Instagram module is back to work after recent changes from Instagram side

@21 March 2018 v3.37.1
New: WPML translations now get automatically connected
New: Youtube new tag [vid_tags]
New: Instagram new option to reverse posting order
Fix: Instagram videos now work
Fix: Amazon now returns the listed offer price instead of the lowest
Fix: Facebook videos shared from another page now returns the video title instead of page name
Fix: Clickbank back to work after a recent change from ClickBank side
Improvment: Performance optimization
Improvment: Proxies option tutorial updated
Improvment: Twitter module now imports whole tweet images & RTs images.

@4 Feb 2018 v3.37.0
New: CareerJet support. Plugin can now import jobs from CareerJet
New: Facebook campaigns can now post events and return timing, place and map.
New: Facebook new option to set language localization
New: Facebook new option to strip the first line after setting it as a title
New: Featured image do not validate content type option
Fix:Instagram extraction by author now back to work after recent IG change
Fix:Feed extraction by class now more accurate
Fix:Feed lazyloading fix now fixes images that are in multiple lines
Fix:Facebook new album now returns all images
Fix:TheBestSpinner protected terms now work again
Fix:Keyword to category now checks the final content
Fix:Special chars in tags from FB og:title
Fix:Contributers now available for author selection
Fix:Reddit hosted gifs now get embeded

@3 December 2017 v3.36.0
NEW: Single scraper new option for setting cookies
NEW: Instagram new option to loop videos
NEW: Facebook comments now displays the commenter avatar
NEW: Youtube tags translation support
NEW: Feeds option to set meta tags as WordPress tags
NEW: Feeds option to skip by exact string match
NEW: Exact match new option to all words
Fix: Feeds visual selector window fix on FireFox browser
Fix: Instagram images now back to work for new campaigns
Fix: Instagram videos only and images only now works more efficiently  
Fix: Feeds extraction using visual selector encoding sorted
Fix: License activation improved for blocked connections
Fix: EzineArticles first article after Ezine scraping now works
Fix: Visual selector improvements
Improvement: download images to the server now validates the image content

@6 November 2017 v3.35.1
Fix: On campaign publish error sorted

@4 November 2017 v3.35.0
NEW: Automatic updates for future versions of the plugin
New: Youtube new option to set the channel author as WordPress author
fix: Feeds multiple extractions for same ID/Class stopped working now sorted
fix: Twitter pagination now works on 32-bit servers

@25 October 2017 v3.34.0
NEW: Visual selector for feed content, tags, author
NEW: Unlimited rules to extract by ID/Class/REGEX for content,removing unwanted parts
Improvement: Translation algorithm minor changes
fix: full content method now makes Facebook videos playable
fix: Single scraper auto detect method for content now works
fix: Strip links option now does not strip links from twitter embeded tweets

@9 October 2017 v3.33.0
new - new module named "Single Scraper" to extract parts from a specific page
Improvement: Feed lazy loading option now accepts custom attributes names
Improvement: Feeds original content now follows meta="refresh" redirects
Improvement: Amazon products prices updates now more faster
new - Amazon temlate updated to contain the last time the price was upated and amazon disclaimer
new - Facebook vid_embed tag for videos
new - Facebook new option to set hashtags as WordPress tags
new - Youtube option to post videos by IDs
fix - note type filter added
fix - Feeds when no og:image exists and the og:image option is active now set a featured image from the content
fix - Feeds option to clean cURL encoding now works with all extraction methods
fix - Twitter posting from a specific user now lists all tweets including shared via APPs tweets
fix - Translation failed when auto detect is the same as the destination sorted
fix - Youtube tags as WordPress tags now back to work
fix - Spintax module now replaces each set separately

@14 August 2017 v3.32.0
new - Facebook new option to post posts the page is tagged in and visitor posts
new - Instagram option to post all images if the post contains more than a single one
new feature - Facebook & Instagram embeded videos auto play
improvement - Facebook event cover pic is now returned instead of the smaller image
Improvement - Post types for category selection shows only public types
new feature - Instagram remove mentions from title option
new feature - Amazon new tag for item author and another for the brand
new feature - grab alt text for featured image
new - Craiglsist tag item_price
new - Feeds specific extraction to custom field now saves to tags or excerpt
fix - youtube featured image was not set when a random http error happens, now sorted.
fix - Twitter links structure updated to work on mobile phones as well
fix - Facebook older than 100 posts option now works with the latest FB API version

@26 June 2017 v3.31.0
NEW: bbPress support so now posts can be posted as topics with an option to set the forum
NEW: Feeds option to skip stripping srcset attributes from images
Fix:Microsoft translator now works again
Fix:Emojis now get encoded to hex for non utf8mp4 encoded tables
Fix:Feed fetch full content twitter embeds missing script now get added
Fix:Amazon scraper now deactivate the keyword if no more items exists at the last available page
Fix:Default category now get removed if original categories will be set
Fix:EzineArticles ad was completely removed
Fix:Amazon iframe width when using thebestspinner now sorted
Fix:Facebook links small image now gets replaced by the largest image
Improved: eBay module now paginates the search results up to 100 pages

@22 APRIL 2017 v3.30.0
NEW:Walmart option to set product images as woo-commerce gallery
NEW:Post status "Private" now is available  
NEW:Youtube new option to auto hyperlink links at the description
NEW:Feed new option to get the og:image title
NEW:Option for universal banned words that applies to all campaigns
Fix:Facebook access token generation now sorted after a recent FB change
Fix:Instagram module rewritten to cope with new changes from Instagram like videos and comments
Fix:Instagram tags like username now works in title template
Fix:Feeds publish date now consider the blog timezone
Fix:Feeds now works with proxies
Fix:Feeds decode entities now consider single and double quotes
Fix:Google translate now works if open_basedir is set
Fix:Banned words option now works even if exact words option is not active

@20 March 2017 v3.29.0
NEW:Walmart support so now you can import from Walmart to Wordpress
NEW:Amazon new tag [price_with_discount_fixed]
NEW:Vimeo new option to post from a specific album
NEW:Option to skip numeric tags from title
NEW:Feeds new option to fix lazy image loading
Fix:Instagram module updated to cope with new Instagram changes
Fix:Feeds now support proxies
Fix:Amazon lowest price now returns the correct price
Fix:Amazon.es prices now fixed and also posting by ASIN
Fix:Youtube must exist keywords and banned keywords now get considered

@28 February 2017 v3.28.0
NEW:Reddit support so now you can post from Reddit by subReddit url
NEW:Amazon module now can scrape all items from amazon for a specific search
NEW:Amazon module now posts all product images as a gallery
NEW:Amazon Prices are now displayed with list price and discounted price format
NEW:Amazon module now can automatically update prices daily
NEW:Amazon default post template got a facelift
NEW:Post from Amazon using an ASINs list. just paste a list of ASINs in the keywords field
NEW:Facebook videos integration for TrueMag/VideoPro themes
NEW:Feeds strip html tags option
NEW:Feeds new option to only post items if a string exists
NEW:Instagram new option to post popular items from a hashtag
NEW:Keywords field now accepts keywords at one keyword per line format
Fix:Twitter embed as cards option and featured image option now work together
Fix:Facebook shared post with a shared link now gets the original shared link title
Fix:DailyMotion featured image option now works
Fix:Craigslist image now works after a Craigslist change
Fix: SoundCloud working new api key added.

@24 January 2017 v3.27.0
NEW:DailyMotion Integration so now you can post from DailyMotion by keyword, user or playlist
NEW:PHP 7 compatibility
NEW:Twitter option to post hashtags as wordpress tags
NEW:Twitter option to embed videos
NEW:Flicker tags for high resolution images
Fix:Instagram and Twitter now consider timezone for dates  
Fix:Feeds &apos; chars now get fixed at sites using it.
Fix:Feeds content extracted now does not contain srcset tags
Fix:Generate names from post title for clickbank was not working now fixed
Fix:Amazon items with price variations now returns the lowest price previously was displaying free
Fix:SoundCloud search by tag option was setting a license filter, now sorted
Fix:[nospin] tags now does not get removed if the spin option is not enabled
Fix:Youtube skip the video if specific minutes passed now works
Fix:Instagram posting from a specific user sometimes was not able to get the numeric ID, now sorted.

@20 December 2016 v3.26.2
Fix: Caching images option and generating names from title for images was causing a problem when title was not latin-chars and img url is latin now sorted.
Fix: Security concern.

@10 December 2016 v3.26.1
Fix: Translation using Google translate stopped setting a featured image and caching images now sorted.
Fix: Notice at the front-end appears now sorted.

@6 December 2016 v3.26.0
Improved: ClickBank module rewritten with new much better post template for new campaigns
NEW: Clickbank option to fetch description from original sales page
NEW: eBay option to set short description for woo-commerce product
NEW: eBay option to set the buy now button text at woo-commerce
NEW: Youtube new option to disable youtube logo at embeds
NEW: Facebook custom user access token are now allowed to be
NEW: Facebook new option to post old posts
NEW: Facebook new option to generate title from before line breaks
NEW: Facebook new option to disable adding "..." at end of generated titles
NEW: Feeds new feature to set featured image title at media library from post title
NEW: Feeds new option to disable getting the title from the original page title and use it from the feed
Fix: Feeds fetch full content method no more skips iframes
Fix: Facebook if skip posts older than a specific date is active. older posts will not got checked
Fix: Facebook sometimes didn't return description for image now sorted.
Fix: Translation using Microsoft translator was sometimes failing for large content that is not originally in English now fixed
Fix: Translation using Google completely rewritten to accept large articles and cope with new Google changes
Fix: Excluded links were not correctly excluded for some cases where the url in feed is not the effective url now fixed
Fix: ClickBank thumbnails for sites starting with https was not working.. now fixed
Fix: options page on some servers with mod_security active refused to save adsense code. now sorted.

@7 November 2016 v3.25.0
NEW: Facebook now posts more than 100 posts
NEW: New option that makes the plugin post urls that was already posted (under wpml option)
NEW: Twitter two new option to skip retweets and replies
Fix: Important security fix
Fix: Twitter now displays image of the tweet for long truncated tweets
Fix: Facebook events posts now has the event title as wordpress post title
Fix: Translation now translates images alt text as well
Fix: Amazon .co.jp region now get saved correctly
Fix: Envato more than 60 pages returned now deactivates keyword (Envato limits number of returned items to 1800)
Fix: SoundCloud no image sounds now uses the item user image as the featured image
Fix: Name cached images with post title now strips special chars
Fix: Fetch full content now returns the original title instead of the in-feed title
Improved: Campaigns page now displays part of feeds if there are a long list added

@26 September 2016 v3.24.0
NEW: Envato support so now we can post from Envato marketplaces including ThemeForest,CodeCanyon,AudioJungle and all markets
NEW: new option to only post tiems if keywords exists on Title only
Fix: bug with excluded links caused the plugin to loop at some cases. now fixed
Fix: Youtube import from playlists now skips private videos

@19 September 2016 v3.23.1
NEW: Title words as tags option
NEW: Support for videopro theme from cactus-themes so now videos from youtube/vimeo/instagram displays out of the box.
NEW: Youtube new tag [vid_date]
NEW: Set the post as draft then publish for social posters that works on publish and grab the image
NEW: Feeds custom attributes support so now we can import data from any item attribute at the feed xml
NEW: soundCloud new tag [item_download_url]
Fix: Google translator got updated to work again after recent Google changes
Fix: Plugin now works with latest version of newstube theme
Fix: actually remove the featured image option was causing embeds to disappear and cancelling spinning now fixed
Fix: Microsoft translator extra commas with some languages now fixed
Improved: EzineArticles now can work at servers with ip blocked from startpage
Improved: Feed campaign now can find feed automatically from main sites urls
Improved: Now plugin auto remove google ads from feeds content
Improved: fetch full content now supports soundcloud embeds
Improved: tags extraction from feeds can now identify spans and strip

@19 July 2016 v3.23.0
NEW: Itunes support so now we can post apps,music, ebooks and more from Itunes
NEW: Search and replace can now be applied to only titles
NEW: option to disable posting urls for comments author
NEW: option to disable deactivating keywords for an hour if there is no new items at the source
NEW: new facebook tags added for campaign template. [image_src] and [external_url]
Improved: Categories now get displayed in hierarchical layout
Fix: Clickbank module now back to work after recent changes from Clickbank
Fix: Google news feeds and Google alerts feeds are now compatible with feeds module
Fix: Canonical tag now gets added only when the option to set it is activated.
Fix: Instagram tags as wordpress tags now works normally
Fix: Youutbe non valid next page now get removed.

@10 June 2016 v3.22.1
Important: Instagram now works again after 1 June instagram update with same behaviour as before.
NEW: keyword to Category option: you can set a keyword and if exists, the plugin will set the post to the matching category
NEW: keyword to tag option: you can set a keyword and if exists, the pluginw will tag the post
NEW: option to post the item if it matchs a specific regex only
NEW: option to skip the item if it matchs a specific regex  
NEW: instagram new option to skip video posts/images posts
NEW: Flicker now support posting from photo albums
NEW: TrueMag/NewsTube theme integration with instagram videos
NEW: search/replace using REGEX now has the option to word replace and replace shuffle
NEW: ebay additional parameters option added
NEW: SoundCloud new option to skip posts older than a specific date
NEW: option to delete all posted posts for a specific campaign
NEW: option to forget excuded links
Improved: Feeds campaign completely rewritten to be more lighter on servers.
Fix: instagram disable cache now works
Fix: simple_html_dom namespaeced not to conflict with other plugins/themes
Fix: youtube original date now consider blog timezone
Fix: youtube original date when posting from playlists now post correct video created date
Fix: translation for FB and some sources was not working now it works
Fix: maximum of three feeds now get processed per campaign run
Fix: Feeds decode html now decodes the title as well
Fix: Feeds now support news.google feed, previously the images were not displayed and the og:image was not extracted

@24 Mar 2016 v3.22.0
NEW: Now the plugin can post Craigslist to wordpress
Fix: EzineArticles module rewritten to work for all users
NEW: Twitter new tag item_original_link
NEW: Search and replace option for all campaign types
NEW: option to strip textual content from FB posts
NEW: option to never post same link again
NEW: New Facebook option to post images without linking to it.
Fix: added link as a possible post type to FB posts filter by type.
Fix: Microsoft second translation didn't work now fixed.
Fix: optoin don't spin the title now works with all campaign types also spintax in title
Improved: Cron now process a single campaign only for better resources usage

@10 Feb 2016 v3.21.0
New: articlesbase.com module added so now you can post from articlesbase.com
New: Twitter new item_embed tag  
Fix: option skip posts with no image now record links with no images not to be checked again
Fix: option skip posts with no image now don't skip posts with og:image and no images in content
Fix: Fatal error when extracting content using REGEX
Fix: Keyword suggest feature now works with https

@25 January 2016 v3.20.1
Fix: Internal cron job stopped working at v3.20 now working again
Fix: Spintax now get applied only if the post contains spintax tags

@24 January 2016 v3.20.0
NEW: Instagram item_embed tag to embed instagram items directly to wordpress
NEW: Facebook post_embed tag to embed posts from facebook
NEW: Feeds option to set a specific part to a custom field
NEW: Translation option to set failed translation posts status to pending
Improved: code optimized to increase speed and lower load
Fix: Articles module rewritten to work again
Fix: Exact match/banned word bug fix
Fix: Youtube videos older than a specific date for playlists now get skipped
Fix: Feed fetch full content video fix
Fix: Feed charachter encoding fix
Fix: eBay extract full details now consider language of the localized site
Fix: eBay full image sometimes returns no images if there is no maximum resulution image now fixed

@11 January 2016 v3.19.1
NEW: option for must be in the content and must not be in content filters to be processed on the final content
Fix: Articles module updated to work with recent souce changes
Fix: Articles module now works when curl followlocation disabled
Fix: Fetch full content for utf-8 encoded texts were sometimes skiping special chars now fixed
Fix: Social Network Auto Poster workaround added

@3 January 2016 v3.19.0
NEW: Facebook campaign can now post specific type of posts, videos,images,etc
NEW: Google Translate integrated again
NEW: Feeds generate image name from title now supports non latin chars
NEW: Twitter new option to remove RT from post title
Fix: Limit title to specific number of chars option now does not add ... if original title is below limit
Fix: Translation module rewritten fixing translation failed issue for long posts
Fix: W3 cached rss feeds was not loaded correctly to post from, Now fixed
Fix: ClickBank posting for centOS  
Improved:Posted youtube comments as comments count now random from 20-50
Improved:Posted SoundCloud comments as comments count now random from 20-30

@22 December 2015 v3.18.0
NEW: Microsoft translator integrated for translation
Fix: Articles module rewritten to work again after source changes
NEW: NewsPaper wordpress theme integration for youtube and vimeo
NEW: Feeds search and replace option to appply to titles also
Fix: all src urls now get fixed not only images i.e src="/"
Fix: Date displayed for last run and any date displayed now consider local time

@10 december 2015 v3.17.0
NEW: Facebook module can now posts from Groups
NEW: Facebook module can now post comments from
NEW: Facebook module Now accepts the numeric page id direclty instead of page url
NEW: Facebook module new tags like from_name,from_id ,etc
NEW: Facebook cache option
NEW: Facebook skip posts if older than a specific date
NEW: Tags custom taxonomy support
NEW: instagram option to skip posts older than a specific date
NEW: eBay campaigns Now posts the heigh resolution images
NEW: eBay description iframe height option
NEW: Feeds new option to convert extracted content encoding from a specific encoding to utf-8
NEW: Amazon now supports Amazon BR,MX
Fix: RTL Layout now displays fine
Fix: [keyword] tag was not working in title template now fixed.
Fix: FB small images now get replaced by largest versions.
Fix: Images displayed inline using its base46 encoding now support in width check, caching and thumbnail setting
Fix: Cache images locally improved
Fix: bug when first image was skipped if it's width was lower than the set width

@27 October 2015 v3.16.0
NEW: SoundCloud support so now you can post from soundcloud to wordpress by keyword,user or playlist
NEW: new instagram option to display the vids above content by default at the bottom
NEW: ebay end date now can be shown in a human redable format like 1 week, days or hours
NEW: Feeds new option to skip including the enclosure image from the feed to the post content
NEW: New Feeds option to clear cURL encoding when loading the original post for extracting the content.
NEW: new twitter tags added for author profile image and background image
NEW: Deeper TruMag/NewsTube theme integration so now vid views/likes/dislikes get viewed at the display.
NEW: New Facebook option to hide posts with no images

Fix: Pinterest user or board option was getting reset to user now fixed
Fix: very long keywords was giving no links found message now fixed
Fix: eBay description iframe height was set to 10000 now lowered
Fix: eBay now consider the blog timezone previously dates was utc dates
Fix: instagram title now does not contain [embed shortcode
Fix: duplicate campaign
Fix: translation bug where some posts does get translation fail now fixed
Fix: Amazon reviews iframe was expiring after posting with days. now expiration date set to 2030
Fix: cache images locally in minor cases saves the image name with %'s in it now fixed.
Fix: Feeds extract by id/class documents were not loading due to size limit. limit increased.

@1 September 2015 v3.15.0
NEW: Twitter campaigns to post from twitter
NEW: Duplicate campaign option so now you can duplicate any campaign just hover it's title and click the duplicate link
NEW: New feeds option to get the featured image from the og:image tag that is used by sites for FB
NEW: new ebay option to redirect to a specific page if the posted item expiry date was reached.
NEW: now you can use Emojis at the post template
NEW: NewsTube theme support out of the box to post Youtube/Vimeo videos.
NEW: new youtube tag [vid_author_title]

Fix: Youtube comments now using the official api
Fix: now posted box only contains latest 10 posted posts with a button to load more.
Fix: translation sometimes generates a square tags including like this [19459million] now fixed and fixed for russian language
Fix: Amazon add to chart option was always using amazon.com now fixed.
Fix: Limit of posts to post increased to 1 million per campaign.
Fix: Facebook set date as published date now consider the timezone of WP.
Fix: invalid utf8 chars now get detected and fixed in post content/title
Fix: feeds module og:image extraction more accurate

@17 August 2015 v3.14.0
NEW: Now instagram videos get embeded to the post
NEW: new feature to set a secret word for the cron job at the settings page
NEW: feeds new option to skip items with title that already exists for a post
Fix:Translation now working again after stopping working.
Fix:Facebook posting fix
Fix:Amazon price woo-commerce truncation error fixed

@11 July 2015 v3.13.0
New: pin_link tag added to pinterest post template so it can point to the source directly
New: new option to serve featured image from it's source without saving it to the server
NEW: new option to randomly pick tags from set tags as tags
NEW: TrueMag vimeo integration
Fix: Facebook module rewritten with improvements like largest size available images, strip too small images and a margin between images.
Fix: Ezinearticles author link fix
Fix: Pinterest title with hashtag was broken. now fixed
Fix: Content tags can now be used at post title template without problems
Fix: single item in the TBS protected terms was not getting protected now fixed
Fix: Feeds campaign set categories feature sometimes generated fatal error now fixed
Improved: html tags now get removed from title
Improved: changed default SimplePie
Improved: youtube now posts the maximum resultion image if found as featured image
Improved: scripts tags now get stripped by defualt  
Removed: Strip inline links cause of users are misusing it

@4 June 2015 v3.12.0
NEW: WPML support so now you can set the language of the new posts
NEW: protect html tags in search and replace feeds campaign option added
Fix: Facebook video render now works after a minor FB change
Fix: Youtube duplicate posts after the v3 api upgrade now fixed
Fix: translation module improvements
Fix: decode html entities option fix
Fix: now custom fields values can contain single and double quotes or even a serialized array
Fix: internal server error fixed for windows servers when re-saving a campaign

@22 MAY v3.11.0
NEW: instagram now got supported so you can post instagram images for a tag or a user.
Fix: Flicker license was not working with keywords with spaces now working.
Fix: Trim post title sometimes caused issues when last trimmed char was a multibyte now fixed.

@16 MAY v3.10.0
Fix: youtube posting got upgraded to v3 api with various new options  
NEW: Pinterest campaigns added to post from pinterest to wordpress
NEW: New feed tag to extract the enclusure link
NEW: New flicker license type option

@27 APRIL v3.9.0
New: Vimeo camaigns added
NEW: amazon.in now integrated
NEW: new option for setting refer to the source site when caching images
NEW: new option for amazon campaign to optionally create the short description
NEW: new option to strip inline links texts in content
Fix: replace keyword with specified link fixed was replacing parts of words
Fix: now caching images and thumbnails keep records of already cached items not to cache same image twice
Fix: relative links now points to source host when extracting using id/class/regex etc

@7 Apr 2015 v3.8
NEW: Facebook campaigns now added so you can now post from facebook to wordpress
NEW: eBay now integrates with woo-commerce to directly link items via the buy now button
NEW: nospin tag added to skip spinning parts of content
NEW: option to decode html entities from feeds
NEW: the plugin can now process feed enclosure for featured image if no image elsewhere exists
NEW: Feeds campaign now can extract the real author of the post and assign to the same author locally or create a new one if not exists
NEW: TrueMag theme on the fly settings now get added

Fix: cache images with spaces , encoded sources now works
Fix: youtube rating images stopped displaying now fixed
Fix: feeds with items with empty title was stopping the feed from processing now fixed to skip no title feeds items
Fix: campaign editing/adding gave 500 http error with windows platforms now fixed
Fix: html encoded image srcs now fixed for thumbnail setting and caching
Fix: clear refer value at caching images
Fix: TBS were deforming encoded html entities now fixed.
Fix: ad_1, ad_2 now does not appear at feed items

@25/1/2015 v3.7.3
Fix: Norwegian language translating was not working now fixed
Fix: jetpack auto publicize feature stopped working now fixed

@14/1/2015 v3.7.2
Improvement: cURL exist check added.
Fix: getpack stats stopped working due to a conflict. now working
Fix: double check duplicate before posting
Fix: entity_decode urls before extracting content from feeds

@17/12/2014 v3.7.1
Bug fix: amazon products [product_link] tag stopped working now it is back

@16/12/2014 v3.7
NEW: option to add amazon add to chart url
NEW: option to search and replace by REGEX for each campaign
NEW: option to extract tags by id/class and set them as tags
NEW: TBS protected terms option added to settings
FIX: title can now contain more than 150 chars
FIX: using TBS without checking it for some campaigns now fixed
Fix: featured image with spaces after src attribute were not detected not it does
Fix: option to select multiple categories
Fix: users with open base dir set can now have clickbank product image without problem
Fix: https images from feeds now works fine
Fix: translate were generating numbers in some cases now fixed
Fix: translate were generating unexpected input with encoded charachters like &euoro; now fixed
Fix: fetch full content titles with colons were truncated now fixed
Fix: opttion to strip links didn't work with flicker items now it works

@2/11/2014 v3.6
NEW: post from a youtube playlist
NEW: feed extract content using xpath
NEW: set feed posts categories to original post categories
NEW: amazon full woo-commerce integration
NEW: multi level spinning support
NEW: strip content using id/class
NEW: extract first match only option
NEW: extract inner content instead of outer content
NEW: skip featured image if below 100px width
NEW: graph og image
NEW: vid_duration tag for youtube vids
NEW: custom post tags
NEW: Limit title chars to xx chars
NEW: set canonical tag
FIX: curl follocation for openbasedir
FIX: feed posts with relative urls now mathch to the source
Fix: some js code sometimes appears when using fetch full content now stripped
Fix: keywords not saving with some themes
Fix: ebay duplicate were deleting most posts even they were not duplicate
Fix: amazon GPB numeric fix

@13/9/2014 v3.5.1
Fix: Clickbank Featured image now get set
Fix: ezinearticles showed some google mobile ads now it don't
Fix: ezinearticles module recoded
Fix: images with space in it's source url now get cached without problem
Fix: set random image if no image exists sometimes ignore images in original post and always set one of the random. now fixed

@9/9/2014 v3.5
NEW: Spintax campaign type
NEW: ebay custom category id
NEW: new post preview on edit page
NEW: Rotate Feeds option
NEW: Random featured image
NEW: amazon browse node without keyword filtering
NEW: amazon sort results
NEW: Youtube minimum vid date added
NEW: Feeds minimum vid date added
NEW: Reverse order of items youtube and feeds

Fix: ebay keywords with spaced were generating errors now fixed by encoding
Fix: clickbank password wiht special chars get encoded
Fix: image caching using curl instead of file_get_Contents
Fix: translate second time was translating from first language to thired language
Fix: removed tidy that caused broken images html
Fix: Youtube duplicate posts
Fix: attachment guid
Fix: amazon keyword was urlencoded twice .
Fix: wp_automatic_Readability mb_encoding function not exists fix
Fix: wp_automatic_Readability remove styles disabled
Fix: Striping links from the post
Fix: general table encoding to utf

@23/7/2014 v3.4.0
NEW: amazon it es etc (Not fully compatible)
NEW: amazon artist , actor .. etc search
NEW: REGEX support
NEW: TBS REPORT success or fail
NEW: New id/class rule 3
Fix : remove_filter('content_save_pre', 'wp_filter_post_kses'); that removes iframe and js when posting from cron
Fix : ui keyword field \* when uncheck the post all without filtering fixed
Fix : youtube non caching index now starts at 1
Fix : Flicker ssl required
Fix : base 48 encode for camp_general
Fix : strip first image was stripping all images
Fix : clickbank extraction correction
Fix : wp_automatic_log cleaning

@29/3/2014 v3.3.0
Fix: Articles module
ADD: Strip first image after setting as featured image option
Fix: Amazon no thumbnail product fixed
Improvment : youtube featured image now get set
ADD : youtube tag vid*id
Improvement: clear feed cache
Fix : cache images with + * marks
Improvment : amazon products with no list price now gets price from offer summary
Rotate keywords
Full youtube description
youtube tags as wordpress tags
youtube comments as wordpress comments

@23/3/2013 v3.2.0
Fix : amazon custom fields fix
Fix : translation module fix
Fix : skip posts without images
Added : by class or id extraction

@3/3/2013 v3.1.1
New : Skip posts without images option for feeds campaigns
Fix : youtube post getting method resetting index to 1 if exhausted when no caching .
Fix : Articles module webcrawler .

v3.1.0
Add : limit post content to xx charachters .
Add : custom post formats support .
Fix : youtube links cache mixing now fixed .
Fix : bug with search and replace

v3.0.1
Fix : backward comptability with older post type

v3.0
New version

v2.1.2
Fix : articles module now working
Fix : Maximum number display now shows max

v2.1.1
New Feature : added proxy authentication ip:port:username:password
Fix : articles module now works fine as bing changed

#v2.1.0
@18/6/2013
New Feature : amazon now use .com , .ca , .co.uk ..etc .

#v2.0.11
@14/6/2013
bug fix : file gcomplete was generating error because the selector was returning null . fixed file 'js/jquery.gcomplete'
bug fix : plugin was not accepting non-english chars and converting them to ?? . fixed by changing encodeing to utf
